Bug 637172 - [PATCH] enhancement for libmunge in spam-o-matic
Summary: [PATCH] enhancement for libmunge in spam-o-matic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mash
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-24 14:11 UTC by Michael Schwendt
Modified: 2014-03-17 03:25 UTC (History)
3 users (show)

Fixed In Version: mash-0.5.20-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-13 05:58:09 UTC


Attachments (Terms of Use)
patch against mash 0.5.19 (622 bytes, patch)
2010-09-24 14:11 UTC, Michael Schwendt
no flags Details | Diff

Description Michael Schwendt 2010-09-24 14:11:14 UTC
Attached patch improves spam-o-matic to cover additional SONAME bumps. Those with two-digit versions > 9. With it, it also handles the evolution-data-server SONAME bump, for example.

[In extras-repoclosure, I will test-drive a second libmunge() method. One for +1, another for -1, to cover koji buildroot override pkgs which have not been published in any repo.]



P.S.

https://admin.fedoraproject.org/pkgdb/acls/name/mash
 -> http://pkgs.fedoraproject.org/gitweb/?p=mash.git
   -> http://pkgs.fedoraproject.org/git/mash.git
     -> 404 not found
(?)

Comment 1 Michael Schwendt 2010-09-24 14:11:59 UTC
Created attachment 449422 [details]
patch against mash 0.5.19

Comment 2 Bill Nottingham 2010-09-24 16:39:39 UTC
Added in git, will be in 0.5.20-1. The URL following you're noting seems to be a more generic issue with gitweb on pkgs.fedoraproject.org. Can you file that as a rel-eng ticket?

Comment 3 Fedora Update System 2010-09-28 16:17:51 UTC
mash-0.5.20-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mash-0.5.20-1.el5

Comment 4 Fedora Update System 2010-09-28 16:21:45 UTC
mash-0.5.20-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mash-0.5.20-1.fc14

Comment 5 Fedora Update System 2010-09-28 16:33:32 UTC
mash-0.5.20-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mash-0.5.20-1.fc13

Comment 6 Fedora Update System 2010-09-28 17:31:37 UTC
mash-0.5.20-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mash'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mash-0.5.20-1.fc14

Comment 7 Fedora Update System 2010-10-13 05:56:13 UTC
mash-0.5.20-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-10-13 12:48:53 UTC
mash-0.5.20-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-04-14 20:58:06 UTC
mash-0.5.20-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.